package common

import (
	"github.com/ethereum/go-ethereum/crypto"
)

func Sign(priv string, data []byte) ([]byte, error) {
	pk, err := crypto.HexToECDSA(priv)
	if err != nil {
		return nil, err
	}
	hash := crypto.Keccak256(data)
	return crypto.Sign(hash, pk)
}
